#include "../desktop.h"

#ifndef DESKTOPICON_H
#define DESKTOPICON_H

class KPagerDesktopIcon : public KPagerDesktop
{
  Q_OBJECT

    struct WindowDataIcon : KPagerDesktop::WindowData
    {
      class QPixmap *icon;
    };

protected:
  virtual WindowData *winData(WId id, WindowData *w=0L);
  virtual QPixmap *paintWindow(const WindowData *wd, QPoint *pos);
    
public:
  KPagerDesktopIcon(int desk, class KWinModule *kwinmod, QWidget *parent=0);

};

#endif
